Sophie

Sophie

distrib > Scientific%20Linux > 5x > x86_64 > by-pkgid > e62f51b3c9c4797a380d8e815dd2df0a > files > 9

dhcpv6-0.10-33.el5.src.rpm

diff -Nu dhcp-0.10/dhcp6r.sh dhcp-0.10-dhcp6r.init/dhcp6r.sh
--- dhcp-0.10/dhcp6r.sh	1969-12-31 19:00:00.000000000 -0500
+++ dhcp-0.10-dhcp6r.init/dhcp6r.sh	2005-01-09 14:03:41.108255223 -0500
@@ -0,0 +1,80 @@
+#!/bin/sh
+#
+# dhcp6r        dhcp6r is an implementation of DHCPv6 relay agent.
+#               This shell script takes care of starting and stopping
+#               dhcp6r.
+#
+# chkconfig: - 66 36
+# description: dhcp6r supports the DHCPv6 relay agent protocol. 
+#            
+# processname: dhcp6r
+# config: /etc/sysconfig/dhcp6r
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+. /etc/sysconfig/dhcp6r
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+# Check that files exist
+[ -f /usr/sbin/dhcp6r ] || exit 0
+[ -f /etc/sysconfig/dhcp6r ] || exit 0
+
+RETVAL=0
+prog="dhcp6r"
+
+start() {
+	# Start daemons.
+	echo -n $"Starting $prog: "
+	daemon /usr/sbin/dhcp6r ${DHCP6RARGS}
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/dhcp6r
+	return $RETVAL
+}
+
+stop() {
+	# Stop daemons.
+	echo -n $"Shutting down $prog: "
+	killproc dhcp6r
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/dhcp6r
+	return $RETVAL
+}
+
+# See how we were called.
+case "$1" in
+  start)
+	start
+	;;
+  stop)
+	stop
+	;;
+  restart|reload)
+	stop
+	start
+	RETVAL=$?
+	;;
+  condrestart)
+	if [ -f /var/lock/subsys/dhcp6s ]; then
+	    stop
+	    start
+	    RETVAL=$?
+	fi
+	;;
+  status)
+	status dhcp6r
+	RETVAL=$?
+	;;
+  *)
+	echo $"Usage: $0 {start|stop|restart|condrestart|status}"
+	exit 1
+esac
+
+exit $RETVAL
+
diff -Nu dhcp-0.10/dhcp6r.sysconfig dhcp-0.10-dhcp6r.init/dhcp6r.sysconfig
--- dhcp-0.10/dhcp6r.sysconfig	1969-12-31 19:00:00.000000000 -0500
+++ dhcp-0.10-dhcp6r.init/dhcp6r.sysconfig	2005-01-09 14:06:08.325152195 -0500
@@ -0,0 +1,3 @@
+# Configuration for the DHCPv6 relay agent, dhcp6r
+# Command line options here
+DHCP6RARGS=
Common subdirectories: dhcp-0.10/docs and dhcp-0.10-dhcp6r.init/docs